unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type

  OutlineError = class(TObject); { Raised by Text }

  TForm3 = class(TForm)
    btn1: TButton;
    btn2: TButton;
    procedure btn1Click(Sender: TObject);
    procedure btn2Click(Sender: TObject);
  private
    { Private-Deklarationen }
    procedure Test;
  public
    { Public-Deklarationen }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}
uses
  madExcept;

procedure HiddenExceptionHandler(const exceptIntf: IMEException; var handled: boolean);
begin
  handled := true;
end;

procedure TForm3.btn1Click(Sender: TObject);
var
  i:Integer;
begin
  try
    Test;
  except
    on OutlineError do
      i :=1;      
  end;
end;

procedure TForm3.btn2Click(Sender: TObject);
begin
  raise Exception.Create('test');
end;

procedure TForm3.Test;
begin
  raise OutlineError.Create;
end;

initialization
  RegisterHiddenExceptionHandler(HiddenExceptionHandler, stDontSync);

end.
